summaryrefslogtreecommitdiff
path: root/src/server/gwt/Morpho-compile
diff options
context:
space:
mode:
Diffstat (limited to 'src/server/gwt/Morpho-compile')
-rw-r--r--src/server/gwt/Morpho-compile19
1 files changed, 19 insertions, 0 deletions
diff --git a/src/server/gwt/Morpho-compile b/src/server/gwt/Morpho-compile
new file mode 100644
index 000000000..e3cb451ed
--- /dev/null
+++ b/src/server/gwt/Morpho-compile
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+APPDIR=`dirname $0`;
+
+if [ -z "$GWT_CLASSPATH" ]; then
+ echo 'ERROR: $GWT_CLASSPATH is not set'
+ echo 'Set $GWT_CLASSPATH to point to the GWT JAR files. For example:'
+ echo 'export GWT_DIR="/Users/bringert/src/gwt-mac-1.5.2"'
+ echo 'export GWT_CLASSPATH="$GWT_DIR/gwt-user.jar:$GWT_DIR/gwt-dev-mac.jar"'
+ exit 1
+fi
+
+if [ `uname` = "Darwin" ]; then
+ GWT_JAVA_OPTS=-XstartOnFirstThread
+fi
+
+LIBS=$APPDIR/lib/gwt-dnd-2.5.6.jar
+
+java $GWT_JAVA_OPTS -Xmx256M -cp "$APPDIR/src:$APPDIR/bin:$LIBS:$GWT_CLASSPATH" com.google.gwt.dev.GWTCompiler -out "$APPDIR/www/morpho" "$@" se.chalmers.cs.gf.gwt.MorphoApp;